{% if item.registry is defined %}
FROM {{ item.registry.url }}/{{ item.image }}
{% else %}
FROM {{ item.image }}
{% endif %}

RUN apt-get update -y && \
    apt-get install -y systemd init python3 python3-pip sudo bash vim ca-certificates iputils-ping && \
    rm -Rf /usr/share/doc && \
    rm -Rf /usr/share/man && \
    apt-get clean && \
    rm -rf /var/lib/apt/lists/* /tmp/* /var/tmp/*

ENV ANSIBLE_USER=svc_provision ANSIBLE_USER_ID=3000 SUDO_GROUP=sudo
RUN set -xe \
  && groupadd -g ${ANSIBLE_USER_ID} ${ANSIBLE_USER} \
  && useradd -s '/bin/bash' -u ${ANSIBLE_USER_ID} -m -g ${ANSIBLE_USER} ${ANSIBLE_USER} \
  && usermod -aG ${SUDO_GROUP} ${ANSIBLE_USER} \
  && sed -i "/^%${SUDO_GROUP}/s/ALL\$/NOPASSWD:ALL/g" /etc/sudoers
